import type { GraphQLSchema, OperationDefinitionNode } from "graphql";
import { OperationPlan } from "./index.js";
import type { BaseGraphQLRootValue, BaseGraphQLVariables, Fragments } from "./interfaces.js";
export declare function establishOperationPlan<TVariables extends BaseGraphQLVariables = BaseGraphQLVariables, TContext extends Grafast.Context = Grafast.Context, TRootValue extends BaseGraphQLRootValue = BaseGraphQLRootValue>(schema: GraphQLSchema, operation: OperationDefinitionNode, fragments: Fragments, variableValues: TVariables, context: TContext, rootValue: TRootValue, planningTimeout?: number | null): OperationPlan;
//# sourceMappingURL=establishOperationPlan.d.ts.map